//  GoToDialog.cpp version 1.5
//  yudit package - Unicode Editor for the X Window System (and Linux) 
//
//  Author: gsinai@iname.com (Gaspar Sinai)
//  GNU Copyright (C) 1997,1998,1999  Gaspar Sinai
// 
//  yudit version 1.5  Copyright(C) 30 November, 1999, Tokyo Japan  Gaspar Sinai
//  yudit version 1.4  Copyright(C) 25 November, 1999, Tokyo Japan  Gaspar Sinai
//  yudit version 1.3  Copyright(C)  5 April,    1999, Tokyo Japan  Gaspar Sinai
//  yudit version 1.2  Copyright(C) 10 December, 1998, Tokyo Japan  Gaspar Sinai
//  yudit version 1.1  Copyright(C) 23 August,   1998, Tokyo Japan  Gaspar Sinai
//  yudit version 1.0  Copyright(C) 17 May,      1998, Tokyo Japan  Gaspar Sinai
//  yudit version 0.99 Copyright(C)  4 April,    1998, Tokyo Japan  Gaspar Sinai
//  yudit version 0.97 Copyright(C)  4 February, 1998, Tokyo Japan  Gaspar Sinai
//  yudit version 0.95 Copyright(C) 10 January,  1998, Tokyo Japan  Gaspar Sinai
//  yudit version 0.94 Copyright(C) 17 December, 1997, Tokyo Japan  Gaspar Sinai
//  yudit version 0.9 Copyright (C)  8 December, 1997, Tokyo Japan  Gaspar Sinai
//  yutex version 0.8 Copyright (C)  5 November, 1997, Tokyo Japan  Gaspar Sinai
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
#include "GoToDialog.h"
#include <stdlib.h>
#include <Translate.h>

GoToDialog::GoToDialog(QWidget* parent, const char* name, 
  const char* labelString) : QDialog (parent, name, TRUE)
{
	layout = 0;
	label = 0;
	lineEdit = 0;
	buttonOk = 0;
	buttonCancel = 0;

	layout = new QGridLayout (this, 2, 3, 4);
	layout->setRowStretch (0, 1);
	layout->setRowStretch (1, 1);

	label = new QLabel (labelString, this);
	label->setMinimumSize (label->sizeHint());

	lineEdit = new QLineEdit (this);
	lineEdit->setMinimumSize (lineEdit->minimumSize().width(), 
		lineEdit->sizeHint().height());

	buttonOk = new QPushButton (Translate ("Ok"), this);
	buttonOk->setMinimumSize (buttonOk->sizeHint());

	buttonCancel = new QPushButton (Translate ("Cancel"), this);
	buttonCancel->setMinimumSize (buttonCancel->sizeHint());

	connect (buttonCancel, SIGNAL (clicked()), SLOT (reject()));
	connect (buttonOk, SIGNAL (clicked()), SLOT (accept()));

	layout->addWidget (label, 0, 0, AlignRight|AlignVCenter);
	layout->addMultiCellWidget (lineEdit, 0, 0, 1, 2, AlignRight|AlignVCenter);
	layout->addWidget (buttonOk, 1, 0, AlignHCenter|AlignBottom);
	layout->addWidget (buttonCancel, 1, 2, AlignHCenter|AlignBottom);
	setCaption ((const char*) "Yudit: Go To");

}

GoToDialog::~GoToDialog ()
{
	if (buttonOk) delete buttonOk;
	if (buttonCancel) delete buttonCancel;
	if (lineEdit) delete lineEdit;
	if (label) delete label;
	if (layout) delete layout;
}

int
GoToDialog::getLineNo ()
{
	layout->activate();
	resize (minimumSize().width()+10, minimumSize().height()+10);
	if (!exec()) return -1;
	return atoi (lineEdit->text());
}
